<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: WIB_PWR_MON Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">WIB_PWR_MON Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for WIB_PWR_MON:</div>
<div class="dyncontent">
<div class="center"><img src="classWIB__PWR__MON__inherit__graph.png" border="0" usemap="#WIB__PWR__MON_inherit__map" alt="Inheritance graph"/></div>
<map name="WIB__PWR__MON_inherit__map" id="WIB__PWR__MON_inherit__map">
<area shape="rect" id="node4" href="classWIB.html" title="WIB" alt="" coords="93,229,141,256"/><area shape="rect" id="node2" href="classWIB__PWR__POLL__MON.html" title="work.WIB_PWR_POLL_MON(3)" alt="" coords="5,80,229,107"/><area shape="rect" id="node3" href="classI2C__reg__master.html" title="work.I2C_reg_master" alt="" coords="39,5,196,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classWIB__PWR__MON-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classWIB__PWR__MON_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a97af2acf2227b2b18a7846e15ff67331"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97af2acf2227b2b18a7846e15ff67331"></a>
<a class="el" href="classWIB__PWR__MON.html#a97af2acf2227b2b18a7846e15ff67331">WIB_PWR_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__PWR__IO.html"> &lt;WIB_PWR_IO&gt;</a></td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classWIB__PWR__MON.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa7b7040844189161771c36cf6bbf172c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7b7040844189161771c36cf6bbf172c"></a>
<a class="el" href="classWIB__PWR__MON.html#aa7b7040844189161771c36cf6bbf172c">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8120037e0ee47c35ba2d79242209c72e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8120037e0ee47c35ba2d79242209c72e"></a>
<a class="el" href="classWIB__PWR__MON.html#a8120037e0ee47c35ba2d79242209c72e">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a21bb6b222938d538b600b8e0d9595a0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21bb6b222938d538b600b8e0d9595a0f"></a>
<a class="el" href="classWIB__PWR__MON.html#a21bb6b222938d538b600b8e0d9595a0f">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_PWR_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abc9f8f63bf3d5d36db9e356b331af2d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc9f8f63bf3d5d36db9e356b331af2d8"></a>
<a class="el" href="classWIB__PWR__MON.html#abc9f8f63bf3d5d36db9e356b331af2d8">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_PWR_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a71c0315820d6dd765d16ffe4a765bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a71c0315820d6dd765d16ffe4a765bc"></a>
<a class="el" href="classWIB__PWR__MON.html#a1a71c0315820d6dd765d16ffe4a765bc">PWR_SCL_BRD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b1b6e7d3d514cd7aa86b4c16b576f3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b1b6e7d3d514cd7aa86b4c16b576f3a"></a>
<a class="el" href="classWIB__PWR__MON.html#a9b1b6e7d3d514cd7aa86b4c16b576f3a">PWR_SDA_BRD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9cc96923fe67b3924c111c7296c11ebe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cc96923fe67b3924c111c7296c11ebe"></a>
<a class="el" href="classWIB__PWR__MON.html#a9cc96923fe67b3924c111c7296c11ebe">PWR_SCL_BIAS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab13584deed26a4492b70f65c2546f0bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab13584deed26a4492b70f65c2546f0bd"></a>
<a class="el" href="classWIB__PWR__MON.html#ab13584deed26a4492b70f65c2546f0bd">PWR_SDA_BIAS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab8cd066c6bd965eaf136e03c3b576b78"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8cd066c6bd965eaf136e03c3b576b78"></a>
<a class="el" href="classWIB__PWR__MON.html#ab8cd066c6bd965eaf136e03c3b576b78">PWR_SCL_WIB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab0609c1bc70d5846680c0d8696a65ff5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0609c1bc70d5846680c0d8696a65ff5"></a>
<a class="el" href="classWIB__PWR__MON.html#ab0609c1bc70d5846680c0d8696a65ff5">PWR_SDA_WIB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="WIB__PWR__MON_8vhd_source.html#l00014">14</a> of file <a class="el" href="WIB__PWR__MON_8vhd_source.html">WIB_PWR_MON.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/Power/<a class="el" href="WIB__PWR__MON_8vhd_source.html">WIB_PWR_MON.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:37 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
